%global momorel 1
%global qtver 4.4.3
%global qtlib %{_libdir}
%global qtinclude %{_includedir}

Summary: Mutton Lettuce Tomato Nonlinear Video Editor
Name: mlt
Version: 0.3.6
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://www.mltframework.org/twiki/bin/view/MLT/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/mlt/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-noO3.patch
Patch1: %{name}-%{version}-sox-header.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ImageMagick-devel >= 6.4.2.1
BuildRequires: SDL-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: ffmpeg-devel >= 0.4.9-0.20080318.2m
BuildRequires: jack-devel
BuildRequires: ladspa-devel
BuildRequires: lame-devel
BuildRequires: libdv-devel
BuildRequires: libmad
BuildRequires: libquicktime-devel
BuildRequires: libsamplerate-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pkgconfig
BuildRequires: qt-devel >= %{qtver}
BuildRequires: sox-devel >= 14.1.0

%description
Nonlinear Video Editor.

%package devel
Summary: MLT Video Editor headers/development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers for MLT.

%prep
%setup -q

%patch0 -p1 -b .noO4
%patch1 -p1 -b .sox-header

%build
%configure \
	--enable-gpl \
%ifarch %{ix86}
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--avformat-swscale \
	--enable-motion-est \
	--qimage-libdir=%{qtlib} \
	--qimage-includedir=%{qtinclude} \
	--disable-debug

%make
# fail (build with optflags 0.3.6-1m)
# CFLAGS="%%{optflags}" CXXFLAGS="%%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GPL NEWS README
%{_bindir}/albino
%{_bindir}/humperdink
%{_bindir}/inigo
%{_bindir}/miracle
%{_libdir}/lib*.so.*
%{_libdir}/mlt/*.so
%{_datadir}/mlt

%files devel
%defattr(-,root,root)
%doc docs/*.txt
%{_bindir}/mlt-config
%{_includedir}/mlt
%{_libdir}/pkgconfig/mlt-*.pc
%{_libdir}/lib*.so

%changelog
* Tue Feb  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-1m)
- version 0.3.6
- update noO4.patch to noO3.patch
- remove ppc.patch
- remove merged avcodec.patch and sox1410.patch
- re-apply sox-header.patch
- build qimage module
- License: GPLv2+

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-2m)
- rebuild against rpm-4.6

* Sun Oct 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.3.0-1m)
- update 0.3.0
- rebuild against sox-14.1.0

* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-0.20080123.10m)
- rebuild against ImageMagick-6.4.2.1

* Tue Jun 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.9m)
- rebuild against sox-14.0.1

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-0.20080123.8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.5-0.20080123.7m)
- rebuild against gcc43

* Sat Mar 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.6m)
- kdenlive crash fix

* Tue Feb 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.5-0.20080123.5m)
- fix gcc-4.3

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.4m)
- BuildRequires: lame-devel

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.3m)
- build with libquicktime

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.2m)
- disable mmx ifnarch ix86

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.1m)
- initial package for kdenlive-0.5
- import tar-ball and patches from cooker
